memonic

Ruby 1.8.7+ for RHEL/Centos

Save

 

This yum repository contains Ruby-1.8.7 built for CentOS-5/RHEL-5 based on the sources in CentOS6/RHEL6. You can either install the packages directly or use a .repo file in /etc/yum.repos.d/ that contains :

--------
[kbs-el5-rb187]
name=kbs-el5-rb187
enabled=1
baseurl=http://centos.karan.org/el$releasever/ruby187/$basearch/
gpgcheck=1
gpgkey=http://centos.karan.org/RPM-GPG-KEY-karan.org.txt

--------
Or you can just download the file from : here

NOTE: The ruby packages in this repo are built to replace the system ruby, and will drop into the default systemwide path. You might want to consider what implications this might have on your existing installed apps and ruby components.